Name:           python-flexmock
Version:        0.9.2
Release:        1%{?dist}
Summary:        Testing library that makes it easy to create mocks, stubs and fakes

License:        BSD
URL:            https://github.com/has207/flexmock
Source0:        http://pypi.python.org/packages/source/f/flexmock/flexmock-0.9.2.tar.gz
# git clone https://github.com/has207/flexmock.git && cd flexmock
# should checkout the current version for tests, but we also want the test for the patch
# tar -czf python-flexmock-0.9.2-tests.tgz tests/
Source1:        %{name}-%{version}-tests.tgz

Patch0:         %{name}-proper-reset-of-subclass-methods.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools


%description
Flexmock is a testing library for Python that makes it easy to create mocks,
stubs and fakes. The API is inspired by a Ruby library of the same name, but
Python flexmock is not a clone of the Ruby version. It omits a number of
redundancies in the Ruby flexmock API, alters some defaults, and introduces
a number of Python-only features.

%prep
%setup -q -n flexmock-%{version}

%patch0 -p1

%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
pushd ./build/lib
tar xzf %{SOURCE1}
PYTHONPATH="." %{__python} tests/flexmock_unittest_test.py
popd

 
%files
%{python_sitelib}/*


%changelog
* Tue Feb 21 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.9.2-1
- Initial package.
